Bug 592601 - report library needs to run without config files
report library needs to run without config files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: report (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Gavin Romig-Koch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 592602 592603
  Show dependency treegraph
 
Reported: 2010-05-15 13:16 EDT by Gavin Romig-Koch
Modified: 2012-08-16 18:32 EDT (History)
1 user (show)

See Also:
Fixed In Version: report-0.14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 592602 (view as bug list)
Environment:
Last Closed: 2012-08-16 18:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin Romig-Koch 2010-05-15 13:16:13 EDT
I strongly suspect that, within the installer, when anaconda makes use of the report library, there is no access to any config files (because there is no root file system to get config files from).

In any case the report library should be able to run even if all it's config files are inaccessible.  

To do this we need to make two changes:
   all places where config files are read, need to be able to recover if the files are not there, or if the files are unreadable, or any other error reading them.

   we need to mark in some machine readable way, the set of 'default' plugins that should be usable (by report) if the primary /etc/report.conf file is not readable.  Plugins should only be marked this way if they can be run without
configuration.
Comment 1 Gavin Romig-Koch 2010-05-17 15:17:37 EDT
This is fixed in the fedoraproject src repo.
Comment 2 Bug Zapper 2010-07-30 07:38:27 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2012-08-16 18:32:12 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.